Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1554392 - Please update jansson to version 2.11 in RHEL [NEEDINFO]
Summary: Please update jansson to version 2.11 in RHEL
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: jansson
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Pirko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-12 15:29 UTC by Jared Smith
Modified: 2020-11-30 15:55 UTC (History)
3 users (show)

Fixed In Version: jansson-2.11-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-30 15:55:20 UTC
Type: Bug
jsmith.fedora: needinfo? (jiri)
jsmith.fedora: needinfo? (jiri)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github https://github.com/akheron jansson issues 387 0 None None None 2020-08-24 15:32:40 UTC

Description Jared Smith 2018-03-12 15:29:24 UTC
I am currently updating the jansson library in EPEL for EL6 to the 2.11 release.  It contains several bug fixes with regards to reference counting and thread safety that are important for users of jansson.

The build in Koji is at https://koji.fedoraproject.org/koji/taskinfo?taskID=25660873

I'm opening this bug with the hope of getting the attention of the Red Hat developers and PMs responsible for this package, with the hope that we can see this 2.11 version get pushed as an update in RHEL7.  (Please note that while the jansson package was in EPEL for EL6, it was absorbed into RHEL as part of the RHEL 7 release.)

Comment 1 Jared Smith 2018-03-12 15:30:41 UTC
Also, just for the record, it seems that the update from 2.10 to 2.11 is ABI compatible, so that should make it easier to do the update.

Comment 2 Fedora Update System 2018-03-12 18:06:31 UTC
jansson-2.11-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-13f9eadb7c

Comment 3 Fedora Update System 2018-03-14 00:22:27 UTC
jansson-2.11-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-13f9eadb7c

Comment 4 Fedora Update System 2018-03-29 01:35:48 UTC
jansson-2.11-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Jared Smith 2018-03-29 15:43:55 UTC
Jiri, can I please get a response regarding whether or not you think it would be possible to update the version of jansson in RHEL 7?

Comment 6 Corey Farrell 2018-03-30 11:39:59 UTC
Worth note in addition to the thread safety fixes from https://github.com/akheron/jansson/issues/387 jansson-2.11 also fixes numerous memory leaks in error paths: https://github.com/akheron/jansson/issues/135.  So even if the RHEL 7 users of jansson are not multi-threaded this update has safety benefits.

Comment 7 Corey Farrell 2018-09-10 15:41:41 UTC
It has been confirmed that the fixes are not theoretical, an Asterisk user has experienced a crash using the copy of libjansson provided by CentOS 7.5, fixed by upgrading to our bundled copy of libjansson-2.11.

Ref https://issues.asterisk.org/jira/browse/ASTERISK-28044

Comment 8 Jared Smith 2018-11-26 13:28:12 UTC
libjansson 2.12 has been released with additional bug fixes.  It is API and ABI compatible with 2.11.

Can you please comment on whether we can get an updated jansson release for RHEL7?

Comment 9 Ben Cotton 2020-11-05 16:49:19 UTC
This message is a reminder that EPEL 6 is nearing its end of life. Fedora will stop maintaining and issuing updates for EPEL 6 on 2020-11-30. It is our policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as EOL if it remains open with a 'version' of 'el6'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later EPEL version.

Thank you for reporting this issue and we are sorry that we were not able to fix it before EPEL 6 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora, you are encouraged  change the 'version' to a later Fedora version prior this bug is closed as described in the policy above.

Comment 10 Ben Cotton 2020-11-30 15:55:20 UTC
EPEL el6 changed to end-of-life (EOL) status on 2020-11-30. EPEL el6 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
EPEL please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.